Esempio n. 1
0
        /// <summary>
        /// create the face to be slided
        /// </summary>
        /// <param name="r">the radius of the circular face</param>
        /// <returns>a wire that is our face to be slided</returns>
        private TopoDS_Wire MakeCircularHollowedWire(double r)
        {
            /*gp_Circ2d cir1 = new gp_Circ2d(new gp_Ax2d(new gp_Pnt2d(new gp_XY(0f, 0f)), new gp_Dir2d(1, 0)), r);
             *
             * BRepBuilderAPI_MakeEdge2d mee1 = new BRepBuilderAPI_MakeEdge2d(cir1);
             * TopoDS_Edge e1 = mee1.Edge();
             *
             * BRepBuilderAPI_MakeWire aMakeWire1 = new BRepBuilderAPI_MakeWire(e1);
             * TopoDS_Wire W = aMakeWire1.Wire();//*/


            gp_Circ cir1 = new gp_Circ(new gp_Ax2(new gp_Pnt(0, 0, 0), new gp_Dir(1, 0, 0)), r);
            BRepBuilderAPI_MakeEdge aMakeEdge  = new BRepBuilderAPI_MakeEdge(cir1);
            BRepBuilderAPI_MakeWire aMakeWire1 = new BRepBuilderAPI_MakeWire(aMakeEdge.Edge());
            TopoDS_Wire             W          = aMakeWire1.Wire();

            return(W);
        }
Esempio n. 2
0
 public LocOpe_CurveShapeIntersector(gp_Circ C, TopoDS_Shape S)
     : base()
 {
     throw new NotImplementedException();
 }
Esempio n. 3
0
 public gce_MakeCirc(gp_Circ Circ, gp_Pnt Point)
     : base()
 {
     throw new NotImplementedException();
 }
Esempio n. 4
0
 public void Get(gp_Circ C, ref double F, ref double L)
 {
     throw new NotImplementedException();
 }
 public void SetValue(int theIndex, gp_Circ theItem)
 {
     throw new NotImplementedException();
 }
Esempio n. 6
0
 public void Project(gp_Circ C)
 {
     throw new NotImplementedException();
 }
 public BRepLib_MakeEdge(gp_Circ L, TopoDS_Vertex V1, TopoDS_Vertex V2)
     : base()
 {
     throw new NotImplementedException();
 }
 public BRepLib_MakeEdge(gp_Circ L, double p1, double p2)
     : base()
 {
     throw new NotImplementedException();
 }
Esempio n. 9
0
        //--------------------------------------------------------------------------------------------------

        public void Set(gp_Circ circle)
        {
            _Circle = new Geom_Circle(circle);

            Update();
        }
Esempio n. 10
0
 public ProjLib_Torus(gp_Torus To, gp_Circ C)
     : base()
 {
     throw new NotImplementedException();
 }
Esempio n. 11
0
 public GC_MakeCircle(gp_Circ C)
     : base()
 {
     throw new NotImplementedException();
 }
Esempio n. 12
0
 public void Perform(gp_Circ C, double U1, double U2)
 {
     throw new NotImplementedException();
 }
Esempio n. 13
0
 public GProp_CelGProps(gp_Circ C, double U1, double U2, gp_Pnt CLocation)
     : base()
 {
     throw new NotImplementedException();
 }
 public void Section(double Param, double U1, double V1, double U2, double V2, ref double Pdeb, ref double Pfin,
                     gp_Circ C)
 {
     throw new NotImplementedException();
 }
Esempio n. 15
0
 public void Init(gp_Circ C, TopoDS_Shape S)
 {
     throw new NotImplementedException();
 }
Esempio n. 16
0
 public GC_MakeArcOfCircle(gp_Circ Circ, gp_Pnt P1, gp_Pnt P2, bool Sense)
     : base()
 {
     throw new NotImplementedException();
 }
 public GC_MakeCylindricalSurface(gp_Circ Circ)
     : base()
 {
     throw new NotImplementedException();
 }
 public void PerformConicSurf(gp_Circ Circle, Adaptor3d_HCurve Curve, Adaptor3d_HSurface Surface, double U1,
                              double V1, double U2, double V2)
 {
     throw new NotImplementedException();
 }
Esempio n. 19
0
 public BRepLib_MakeEdge(gp_Circ L, gp_Pnt P1, gp_Pnt P2)
     : base()
 {
     throw new NotImplementedException();
 }
 public void Perform(gp_Circ C, IntAna_Quadric Q)
 {
     throw new NotImplementedException();
 }
Esempio n. 21
0
 public ProjLib_Cylinder(gp_Cylinder Cyl, gp_Circ C)
     : base()
 {
     throw new NotImplementedException();
 }
 public void Perform(gp_Circ C, gp_Pln P, double Tolang, double Tol)
 {
     throw new NotImplementedException();
 }
 public void InsertAfter(int theIndex, gp_Circ theItem)
 {
     throw new NotImplementedException();
 }
 public IntAna_IntConicQuad(gp_Circ C, IntAna_Quadric Q)
     : base()
 {
     throw new NotImplementedException();
 }
 public void Append(gp_Circ theItem)
 {
     throw new NotImplementedException();
 }
 public IntAna_IntConicQuad(gp_Circ C, gp_Pln P, double Tolang, double Tol)
     : base()
 {
     throw new NotImplementedException();
 }
Esempio n. 27
0
 public gce_MakeCirc(gp_Circ Circ, double D_ist)
     : base()
 {
     throw new NotImplementedException();
 }
Esempio n. 28
0
 public ProjLib_Plane(gp_Pln Pl, gp_Circ C)
     : base()
 {
     throw new NotImplementedException();
 }
Esempio n. 29
0
 public void Add(gp_Circ C, double P1, double P2, double Tol, Bnd_Box B)
 {
     throw new NotImplementedException();
 }
Esempio n. 30
0
 public GC_MakeArcOfCircle(gp_Circ Circ, double Alpha1, double Alpha2, bool Sense)
     : base()
 {
     throw new NotImplementedException();
 }